--==========================================================================================================================
-- ICON ATLASES
--==========================================================================================================================	
-- IconTextureAtlases
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 						IconSize, 	Filename, 					IconsPerRow, 	IconsPerColumn)
VALUES	('JAR_AMAZONS_ALPHA_ATLAS', 	128, 		'atlas_amazons128.dds',		1,				2),
		('JAR_AMAZONS_ALPHA_ATLAS', 	80, 		'atlas_amazons80.dds',		1, 				2),
		('JAR_AMAZONS_ALPHA_ATLAS', 	64, 		'atlas_amazons64.dds',		1, 				2),
		('JAR_AMAZONS_ALPHA_ATLAS', 	48, 		'atlas_amazons48.dds',		1, 				2),
		('JAR_AMAZONS_ALPHA_ATLAS', 	45, 		'atlas_amazons45.dds',		1, 				2),
		('JAR_AMAZONS_ALPHA_ATLAS', 	32, 		'atlas_amazons32.dds',		1, 				2),
		('JAR_AMAZONS_ALPHA_ATLAS', 	24, 		'atlas_amazons24.dds',		1, 				2),
		('JAR_AMAZONS_ICON_ATLAS', 		256, 		'atlas_amazons256.dds',		4, 				2),
		('JAR_AMAZONS_ICON_ATLAS', 		128, 		'atlas_amazons128.dds',		4, 				2),
		('JAR_AMAZONS_ICON_ATLAS', 		80, 		'atlas_amazons80.dds',		4, 				2),
		('JAR_AMAZONS_ICON_ATLAS', 		64, 		'atlas_amazons64.dds',		4, 				2),
		('JAR_AMAZONS_ICON_ATLAS', 		45, 		'atlas_amazons45.dds',		4, 				2),
		('JAR_AMAZONS_ICON_ATLAS', 		32, 		'atlas_amazons32.dds',		4, 				2),
		('JAR_UNIT_FLAG_HIPPOMACHE',	32, 		'sv_hippomache32.dds',		1, 				1);
		
INSERT INTO IconTextureAtlases
		(Atlas, 				IconSize, Filename, IconsPerRow, IconsPerColumn)
VALUES	('promoSamnites_atlas', 256, 'samnites_PI_256.dds', 7, 2),
		('promoSamnites_atlas', 064, 'samnites_PI_064.dds', 7, 2),
		('promoSamnites_atlas', 045, 'samnites_PI_045.dds', 7, 2),
		('promoSamnites_atlas', 032, 'samnites_PI_032.dds', 7, 2),
		('promoSamnites_atlas', 016, 'samnites_PI_016.dds', 7, 2);
--==========================================================================================================================	
-- Colors
--==========================================================================================================================			
INSERT INTO Colors 
			(Type, 									Red, 	Green, 	Blue, 	Alpha)
VALUES		('COLOR_PLAYER_JAR_AMAZONS_ICON',		0.459,	0.459,	0.075,	1), -- #757513
			('COLOR_PLAYER_JAR_AMAZONS_BACKGROUND',	0.824,	0.820,	0.804,	1); -- #d2d1cd
--==========================================================================================================================	
-- PlayerColors
--==========================================================================================================================				
INSERT INTO PlayerColors 
			(Type, 								PrimaryColor, 							SecondaryColor, 								TextColor)
VALUES		('PLAYERCOLOR_JAR_AMAZONS',			'COLOR_PLAYER_JAR_AMAZONS_ICON', 		'COLOR_PLAYER_JAR_AMAZONS_BACKGROUND', 			'COLOR_PLAYER_WHITE_TEXT');
--==========================================================================================================================
-- ART DEFINES
--==========================================================================================================================	
-- ArtDefine_StrategicView
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType, 			TileType,	Asset)
VALUES	('ART_DEF_UNIT_JAR_HIPPOMACHE',	'Unit', 	'sv_hippomache128.dds');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfos
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO ArtDefine_UnitInfos 
		(Type, 							DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_JAR_HIPPOMACHE',	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_U_HUNS_HORSE_ARCHER';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfoMemberInfos
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos
		(UnitInfoType,					UnitMemberInfoType,	NumMembers)
SELECT	'ART_DEF_UNIT_JAR_HIPPOMACHE', 	'ART_DEF_UNIT_MEMBER_JAR_HIPPOMACHE', NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE (UnitInfoType = 'ART_DEF_UNIT_U_HUNS_HORSE_ARCHER');
------------------------
-- ArtDefine_UnitMemberCombats
------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
		(UnitMemberType,						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	'ART_DEF_UNIT_MEMBER_JAR_HIPPOMACHE',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_U_HUNS_HORSE_ARCHER';
------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
		(UnitMemberType,						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_JAR_HIPPOMACHE',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_U_HUNS_HORSE_ARCHER';
------------------------
-- ArtDefine_UnitMemberInfos
------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 									Scale,	ZOffset, Domain, Model, 					MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_JAR_HIPPOMACHE',	Scale,	ZOffset, Domain, 'elf_horse_archer.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_U_HUNS_HORSE_ARCHER';
--==========================================================================================================================
-- AUDIO
--==========================================================================================================================	
-- Audio_Sounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_Sounds 
		(SoundID, 								Filename, 		LoadType)
VALUES	('SND_LEADER_MUSIC_JAR_AMAZONS_PEACE',	'Amazons_Peace',	'DynamicResident'),
		('SND_LEADER_MUSIC_JAR_AMAZONS_WAR', 	'Amazons_War', 	'DynamicResident');		
--------------------------------------------------------------------------------------------------------------------------
-- Audio_2DSounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_2DSounds 
		(ScriptID, 								SoundID, 								SoundType, 		TaperSoundtrackVolume,	MinVolume, 	MaxVolume,  IsMusic, Looping)
VALUES	('AS2D_LEADER_MUSIC_JAR_AMAZONS_PEACE',	'SND_LEADER_MUSIC_JAR_AMAZONS_PEACE', 	'GAME_MUSIC', 	-1.0,					50, 		50, 		1, 		 0),
		('AS2D_LEADER_MUSIC_JAR_AMAZONS_WAR', 	'SND_LEADER_MUSIC_JAR_AMAZONS_WAR', 	'GAME_MUSIC', 	-1.0,					50, 		50, 		1,		 0);
--==========================================================================================================================	
--==========================================================================================================================