--=======================================================================================================================
-- GAME DEFINES
--=======================================================================================================================
------------------------------------------------------------------------------------------------------------------------
-- BuildingClasses
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO BuildingClasses
		(Type, 									DefaultBuilding, 				Description)
VALUES	('BUILDINGCLASS_JAR_DUMMY_HORSEXP', 	'BUILDING_DUMMY_HORSEXP', 		'TXT_KEY_BUILDING_JAR_DUMMY_HORSEXP'),
		('BUILDINGCLASS_JAR_AMAZONS_HORSES', 	'BUILDING_JAR_AMAZONS_HORSES', 	'TXT_KEY_TRAIT_JAR_AMAZONS_SHORT');
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================
-- Buildings
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Buildings 	
		(Type, 								Happiness, BuildingClass,	FreeStartEra,	Cost,	GoldMaintenance,	PrereqTech,			Description,								Civilopedia,										Help,											Strategy,											ArtDefineTag,	MinAreaSize,	NeverCapture,	HurryCostModifier,	IconAtlas,				PortraitIndex)
SELECT	('BUILDING_JAR_HEMPSMOKE_TENT'),	Happiness, BuildingClass,	FreeStartEra,	Cost,	GoldMaintenance,	'TECH_TRAPPING',	('TXT_KEY_BUILDING_JAR_HEMPSMOKE_TENT'),	('TXT_KEY_CIV5_BUILDING_JAR_HEMPSMOKE_TENT_TEXT'),	('TXT_KEY_BUILDING_JAR_HEMPSMOKE_TENT_HELP'),	('TXT_KEY_BUILDING_JAR_HEMPSMOKE_TENT_STRATEGY'),	ArtDefineTag,	MinAreaSize,	1,				HurryCostModifier,	'JAR_AMAZONS_ICON_ATLAS',	2
FROM Buildings WHERE (Type = 'BUILDING_CIRCUS');

INSERT INTO Buildings 
		(Type, 							BuildingClass,						Cost, 	FaithCost,	GreatWorkSlotType,	GreatWorkCount,	GoldMaintenance,	PrereqTech, NeverCapture,	Description)
VALUES	('BUILDING_DUMMY_HORSEXP', 		'BUILDINGCLASS_JAR_DUMMY_HORSEXP',	-1, 	-1,			NULL,				-1,				0,					NULL,		1,				'TXT_KEY_BUILDING_JAR_DUMMY_HORSEXP'),
		('BUILDING_JAR_AMAZONS_HORSES', 'BUILDINGCLASS_JAR_AMAZONS_HORSES',	-1, 	-1,			NULL,				-1,				0,					NULL,		1,				'TXT_KEY_TRAIT_JAR_AMAZONS_SHORT');
------------------------------	
-- Building_Flavors
------------------------------		
INSERT INTO Building_Flavors 	
		(BuildingType, 						FlavorType,			Flavor)
SELECT	('BUILDING_JAR_HEMPSMOKE_TENT'),	FlavorType,			Flavor
FROM Building_Flavors WHERE (BuildingType = 'BUILDING_CIRCUS');

INSERT INTO Building_Flavors 	
		(BuildingType, 					FlavorType,			Flavor)
VALUES	('BUILDING_JAR_HEMPSMOKE_TENT',	'FLAVOR_MILITARY_TRAINING', 5);
------------------------------	
-- Building_YieldChanges
------------------------------		
INSERT INTO Building_YieldChanges
		(BuildingType, 					YieldType, Yield)
VALUES	('BUILDING_JAR_HEMPSMOKE_TENT', 'YIELD_CULTURE', 1);
------------------------------	
-- Building_DomainFreeExperiences
------------------------------		
INSERT INTO Building_DomainFreeExperiences
		(BuildingType, 				DomainType, Experience)
VALUES	('BUILDING_DUMMY_HORSEXP', 'DOMAIN_LAND', 1);
------------------------------	
-- Building_ResourceYieldChanges
------------------------------		
INSERT INTO Building_ResourceYieldChanges
		(BuildingType, 					ResourceType, 	YieldType, Yield)
VALUES	('BUILDING_JAR_AMAZONS_HORSES', 'RESOURCE_HORSE', 'YIELD_CULTURE', 1);
--==========================================================================================================================
-- UNITS
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
-- UnitPromotions
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO UnitPromotions 
		(Type, 							 Description, 							 		Help, 											Sound, 			LostWithUpgrade, OrderPriority, CannotBeChosen,	PortraitIndex, 	IconAtlas,				PediaType, 			PediaEntry)
VALUES	('PROMOTION_JAR_HORSE_TRAPPER',	 'TXT_KEY_PROMOTION_JAR_HORSE_TRAPPER',	 	 'TXT_KEY_PROMOTION_JAR_HORSE_TRAPPER_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,				1, 				'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_HORSE_TRAPPER'),
		('PROMOTION_JAR_UA_GG_RANGE',	 'TXT_KEY_PROMOTION_JAR_UA_GG_RANGE',	 	 'TXT_KEY_PROMOTION_JAR_UA_GG_RANGE_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			1,				34, 			'PROMOTION_ATLAS', 		'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_UA_GG_RANGE'),
		('PROMOTION_JAR_KANNABIS_BOOST', 'TXT_KEY_PROMOTION_JAR_KANNABIS_BOOST',	 'TXT_KEY_PROMOTION_JAR_KANNABIS_BOOST_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,				35, 			'PROMOTION_ATLAS', 		'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_KANNABIS_BOOST'),
		('PROMOTION_JAR_HORSE_TRAPPED',	 'TXT_KEY_PROMOTION_JAR_HORSE_TRAPPED',	 	 'TXT_KEY_PROMOTION_JAR_HORSE_TRAPPED_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,				1, 				'promoSamnites_atlas', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_HORSE_TRAPPED');

UPDATE UnitPromotions SET CombatPercent = 20, IgnoreZOC = 1 WHERE Type = 'PROMOTION_JAR_KANNABIS_BOOST';
UPDATE UnitPromotions SET RangeChange = 1, VisibilityChange = 1  WHERE Type = 'PROMOTION_JAR_UA_GG_RANGE';
--------------------------------------------------------------------------------------------------------------------------
-- Units
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Units 	
		(Type, 						Class, PrereqTech,		Combat,	RangedCombat,	Range,	Cost, 	FaithCost,	RequiresFaithPurchaseEnabled, Moves, CombatClass, Domain, DefaultUnitAI, Description, 						Strategy, 								Help, 								Civilopedia, 						MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, IgnoreBuildingDefense, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, ObsoleteTech, XPValueDefense, UnitArtInfo, 					UnitFlagAtlas,				UnitFlagIconOffset, IconAtlas,					 PortraitIndex, 	MoveRate)
SELECT	'UNIT_JAR_HIPPOMACHE',		Class, 'TECH_TRAPPING',	8, 				11,		2,		Cost, 	FaithCost,	RequiresFaithPurchaseEnabled, Moves, CombatClass, Domain, DefaultUnitAI, 'TXT_KEY_UNIT_JAR_HIPPOMACHE', 	'TXT_KEY_UNIT_JAR_HIPPOMACHE_STRATEGY',	'TXT_KEY_UNIT_JAR_HIPPOMACHE_HELP',	'TXT_KEY_UNIT_JAR_HIPPOMACHE_TEXT',	MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, IgnoreBuildingDefense, AdvancedStartCost, 'UNITCLASS_KNIGHT', 		CombatLimit, ObsoleteTech, XPValueDefense, 'ART_DEF_UNIT_JAR_HIPPOMACHE',	'JAR_UNIT_FLAG_HIPPOMACHE',	0,					'JAR_AMAZONS_ICON_ATLAS',	 3, 				MoveRate
FROM Units WHERE Type = 'UNIT_CHARIOT_ARCHER';	
--------------------------------------------------------------------------------------------------------------------------
-- UnitGameplay2DScripts
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 				SelectionSound, FirstSelectionSound)
SELECT	'UNIT_JAR_HIPPOMACHE', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_HUN_HORSE_ARCHER';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_AITypes
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_AITypes 	
		(UnitType, 				UnitAIType)
SELECT	'UNIT_JAR_HIPPOMACHE', 	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_HUN_HORSE_ARCHER';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_Flavors
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_Flavors 	
		(UnitType, 				FlavorType, Flavor)
SELECT	'UNIT_JAR_HIPPOMACHE', 	FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_HUN_HORSE_ARCHER';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_FreePromotions
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_FreePromotions 
		(UnitType, 					PromotionType)
VALUES	('UNIT_JAR_HIPPOMACHE', 	'PROMOTION_ONLY_DEFENSIVE'),
		('UNIT_JAR_HIPPOMACHE', 	'PROMOTION_CAN_MOVE_AFTER_ATTACKING'),		
		('UNIT_JAR_HIPPOMACHE', 	'PROMOTION_JAR_HORSE_TRAPPER');
--------------------------------------------------------------------------------------------------------------------------
-- Unit_ClassUpgrades
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_ClassUpgrades 	
		(UnitType, 				UnitClassType)
SELECT	'UNIT_JAR_HIPPOMACHE', 	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_HORSEMAN';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_ResourceQuantityRequirements
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Unit_ResourceQuantityRequirements 	
		(UnitType, 				ResourceType)
SELECT	'UNIT_JAR_HIPPOMACHE', 	ResourceType
FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_HORSEMAN';
--==========================================================================================================================	
-- LEADERS
--==========================================================================================================================
-- Leaders
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Leaders 
		(Type, 					Description, 						Civilopedia, 								CivilopediaTag, 						ArtDefineTag, 				VictoryCompetitiveness, WonderCompetitiveness, 	MinorCivCompetitiveness, 	Boldness, 	DiploBalance, 	WarmongerHate, 	DenounceWillingness, 	DoFWillingness, Loyalty, 	Neediness, 	Forgiveness, 	Chattiness, Meanness, 	IconAtlas, 					PortraitIndex)
VALUES	('LEADER_JAR_AMAZONS',	'TXT_KEY_LEADER_JAR_PENTHESILEA',	'TXT_KEY_LEADER_JAR_PENTHESILEA_PEDIA',		'TXT_KEY_LEADER_JAR_PENTHESILEA_PEDIA',	 'Jar_Penthesilea_Scene.xml',	5, 						5, 						4, 							8, 			6, 				4, 				6, 						5, 				9, 			5, 			3, 				8, 			3, 		'JAR_AMAZONS_ICON_ATLAS',	0);
--------------------------------------------------------------------------------------------------------------------------		
-- Leader_MajorCivApproachBiases
--------------------------------------------------------------------------------------------------------------------------						
INSERT INTO Leader_MajorCivApproachBiases 
		(LeaderType, 				 MajorCivApproachType, 			Bias)
VALUES	('LEADER_JAR_AMAZONS',	'MAJOR_CIV_APPROACH_WAR', 			6),
		('LEADER_JAR_AMAZONS',	'MAJOR_CIV_APPROACH_HOSTILE', 		4),
		('LEADER_JAR_AMAZONS',	'MAJOR_CIV_APPROACH_DECEPTIVE', 	2),
		('LEADER_JAR_AMAZONS',	'MAJOR_CIV_APPROACH_GUARDED', 		6),
		('LEADER_JAR_AMAZONS',	'MAJOR_CIV_APPROACH_AFRAID', 		2),
		('LEADER_JAR_AMAZONS',	'MAJOR_CIV_APPROACH_FRIENDLY', 		4),
		('LEADER_JAR_AMAZONS',	'MAJOR_CIV_APPROACH_NEUTRAL', 		8);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_MajorCivApproachBiases
--------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_MinorCivApproachBiases 
		(LeaderType, 				 MinorCivApproachType, 			Bias)
VALUES	('LEADER_JAR_AMAZONS',	'MINOR_CIV_APPROACH_IGNORE', 		6),
		('LEADER_JAR_AMAZONS',	'MINOR_CIV_APPROACH_FRIENDLY', 		5),
		('LEADER_JAR_AMAZONS',	'MINOR_CIV_APPROACH_PROTECTIVE', 	6),
		('LEADER_JAR_AMAZONS',	'MINOR_CIV_APPROACH_CONQUEST', 		4),
		('LEADER_JAR_AMAZONS',	'MINOR_CIV_APPROACH_BULLY', 		7);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_Flavors
--------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_Flavors 
		(LeaderType, 				FlavorType, 						Flavor)
VALUES	('LEADER_JAR_AMAZONS',	'FLAVOR_OFFENSE', 					8),
		('LEADER_JAR_AMAZONS',	'FLAVOR_DEFENSE', 					8),
		('LEADER_JAR_AMAZONS',	'FLAVOR_CITY_DEFENSE', 				8),
		('LEADER_JAR_AMAZONS',	'FLAVOR_MILITARY_TRAINING', 		9),
		('LEADER_JAR_AMAZONS',	'FLAVOR_RECON', 					8),
		('LEADER_JAR_AMAZONS',	'FLAVOR_RANGED', 					9),
		('LEADER_JAR_AMAZONS',	'FLAVOR_MOBILE', 					9),
		('LEADER_JAR_AMAZONS',	'FLAVOR_NAVAL', 					4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_NAVAL_RECON', 				4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_NAVAL_GROWTH', 				3),
		('LEADER_JAR_AMAZONS',	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	3),
		('LEADER_JAR_AMAZONS',	'FLAVOR_AIR', 						3),
		('LEADER_JAR_AMAZONS',	'FLAVOR_EXPANSION', 				7),
		('LEADER_JAR_AMAZONS',	'FLAVOR_GROWTH', 					7),
		('LEADER_JAR_AMAZONS',	'FLAVOR_TILE_IMPROVEMENT', 			6),
		('LEADER_JAR_AMAZONS',	'FLAVOR_INFRASTRUCTURE', 			5),
		('LEADER_JAR_AMAZONS',	'FLAVOR_PRODUCTION', 				5),
		('LEADER_JAR_AMAZONS',	'FLAVOR_GOLD', 						4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_SCIENCE', 					5),
		('LEADER_JAR_AMAZONS',	'FLAVOR_CULTURE', 					6),
		('LEADER_JAR_AMAZONS',	'FLAVOR_HAPPINESS', 				7),
		('LEADER_JAR_AMAZONS',	'FLAVOR_GREAT_PEOPLE', 				4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_WONDER', 					4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_RELIGION', 					6),
		('LEADER_JAR_AMAZONS',	'FLAVOR_DIPLOMACY', 				6),
		('LEADER_JAR_AMAZONS',	'FLAVOR_SPACESHIP', 				2),
		('LEADER_JAR_AMAZONS',	'FLAVOR_WATER_CONNECTION', 			5),
		('LEADER_JAR_AMAZONS',	'FLAVOR_NUKE', 						4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_USE_NUKE', 					4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_ESPIONAGE', 				7),
		('LEADER_JAR_AMAZONS',	'FLAVOR_AIRLIFT', 					5),
		('LEADER_JAR_AMAZONS',	'FLAVOR_I_TRADE_DESTINATION', 		4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_I_TRADE_ORIGIN', 			4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_I_SEA_TRADE_ROUTE', 		4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_I_LAND_TRADE_ROUTE', 		4),
		('LEADER_JAR_AMAZONS',	'FLAVOR_ARCHAEOLOGY', 				6),
		('LEADER_JAR_AMAZONS',	'FLAVOR_AIR_CARRIER', 				5);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_Traits
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Leader_Traits 
		(LeaderType, 			TraitType)
VALUES	('LEADER_JAR_AMAZONS',	'TRAIT_JAR_AMAZONS');
--==========================================================================================================================	
-- TRAITS
--==========================================================================================================================	
-- Traits
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Traits
			(Type,					Description,					ShortDescription,					FreeBuilding)
VALUES		('TRAIT_JAR_AMAZONS',	'TXT_KEY_TRAIT_JAR_AMAZONS',	'TXT_KEY_TRAIT_JAR_AMAZONS_SHORT',	'BUILDING_JAR_AMAZONS_HORSES');
--==========================================================================================================================	
-- DIPLOMACY
--==========================================================================================================================	
-- Diplomacy_Responses
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Diplomacy_Responses
		(LeaderType, 				ResponseType, 							Response, 														Bias)
VALUES 	('LEADER_JAR_AMAZONS', 	'RESPONSE_AI_DOF_BACKSTAB', 				'TXT_KEY_LEADER_JAR_PENTHESILEA_DENOUNCE_FRIEND%', 				500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_ATTACKED_HOSTILE', 				'TXT_KEY_LEADER_JAR_PENTHESILEA_ATTACKED_HOSTILE%', 			500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_DEFEATED', 						'TXT_KEY_LEADER_JAR_PENTHESILEA_DEFEATED%', 					500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_DOW_GENERIC', 					'TXT_KEY_LEADER_JAR_PENTHESILEA_DOW_GENERIC%', 					500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_FIRST_GREETING', 					'TXT_KEY_LEADER_JAR_PENTHESILEA_FIRSTGREETING%', 				500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_RESPONSE_TO_BEING_DENOUNCED', 	'TXT_KEY_LEADER_JAR_PENTHESILEA_RESPONSE_TO_BEING_DENOUNCED%', 	500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_WORK_AGAINST_SOMEONE', 			'TXT_KEY_LEADER_JAR_PENTHESILEA_DENOUNCE%', 					500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_WORK_WITH_US', 					'TXT_KEY_LEADER_JAR_PENTHESILEA_DEC_FRIENDSHIP%', 				500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_GREETING_HOSTILE_REPEAT', 		'TXT_KEY_LEADER_JAR_PENTHESILEA_GREETING_HOSTILE_REPEAT%', 		500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_REPEAT_TRADE', 					'TXT_KEY_LEADER_JAR_PENTHESILEA_REPEAT_TRADE%', 				500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_GREETING_POLITE_HELLO', 			'TXT_KEY_LEADER_JAR_PENTHESILEA_GREETING_POLITE_HELLO%', 		500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_GREETING_NEUTRAL_HELLO', 			'TXT_KEY_LEADER_JAR_PENTHESILEA_GREETING_NEUTRAL_HELLO%',		500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_GREETING_HOSTILE_HELLO', 			'TXT_KEY_LEADER_JAR_PENTHESILEA_GREETING_HOSTILE_HELLO%', 		500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_GREETING_WORKING_WITH', 			'TXT_KEY_LEADER_JAR_PENTHESILEA_GREETING_WORKING_WITH%', 		500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_GREETING_HOSTILE_HUMAN_IS_WARMONGER', 'TXT_KEY_LEADER_JAR_PENTHESILEA_GREETING_HOSTILE_HUMAN_IS_WARMONGER%', 500),
		('LEADER_JAR_AMAZONS', 	'RESPONSE_DOW_BETRAYAL', 					'TXT_KEY_LEADER_JAR_PENTHESILEA_DOW_BETRAYAL%', 				500);	
--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilizations 	
		(Type, 							Description,						 ShortDescription,							Adjective,										Civilopedia, 										CivilopediaTag, 		 				DefaultPlayerColor,			ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, IconAtlas,					PortraitIndex,	AlphaIconAtlas,				SoundtrackTag,  MapImage, 				DawnOfManQuote, 						DawnOfManImage)
SELECT	'CIVILIZATION_JAR_AMAZONS',		'TXT_KEY_CIVILIZATION_JAR_AMAZONS',	 'TXT_KEY_CIVILIZATION_JAR_AMAZONS_SHORT',	'TXT_KEY_CIVILIZATION_JAR_AMAZONS_ADJECTIVE',	'TXT_KEY_CIVILIZATION_JAR_AMAZONS_PEDIA_TEXT_1', 	'TXT_KEY_CIVILIZATION_JAR_AMAZONS_PEDIA',	 	'PLAYERCOLOR_JAR_AMAZONS',	ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, 'JAR_AMAZONS_ICON_ATLAS',	1,				'JAR_AMAZONS_ALPHA_ATLAS',	SoundtrackTag, 	'Amazons_Map.dds',		'TXT_KEY_CIV5_DAWN_JAR_AMAZONS_TEXT',	'Amazons_DOM.dds'
FROM Civilizations WHERE Type = 'CIVILIZATION_HUNS';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_CityNames
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_CityNames 
		(CivilizationType, 				CityName)
VALUES	('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_01'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_02'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_03'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_04'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_05'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_06'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_07'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_08'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_09'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_10'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_11'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_12'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_13'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_14'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_15'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_16'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_17'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_18'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_19'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_20'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_21'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_22'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_23'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_24'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_25'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_26'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_27'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_28'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_29'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_30'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_31'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_32'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_33'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_34'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_CITY_NAME_JAR_AMAZONS_35');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeBuildingClasses
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeBuildingClasses 
		(CivilizationType, 				BuildingClassType)
SELECT	'CIVILIZATION_JAR_AMAZONS', 	BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE CivilizationType = 'CIVILIZATION_HUNS';
--------------------------------------------------------------------------------------------------------------------------		
-- Civilization_FreeTechs
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeTechs 
		(CivilizationType, 				TechType)
SELECT	'CIVILIZATION_JAR_AMAZONS', 	TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_PERSIA';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeUnits
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_FreeUnits 
		(CivilizationType, 				UnitClassType, Count, UnitAIType)
SELECT	'CIVILIZATION_JAR_AMAZONS', 	UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_HUNS';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Leaders
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_Leaders 
		(CivilizationType, 					LeaderheadType)
VALUES	('CIVILIZATION_JAR_AMAZONS',	'LEADER_JAR_AMAZONS');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_BuildingClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 				BuildingClassType, 		BuildingType)
VALUES	('CIVILIZATION_JAR_AMAZONS',	'BUILDINGCLASS_CIRCUS',	'BUILDING_JAR_HEMPSMOKE_TENT');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 				UnitClassType, 					UnitType)
VALUES	('CIVILIZATION_JAR_AMAZONS',	'UNITCLASS_CHARIOT_ARCHER',		'UNIT_JAR_HIPPOMACHE');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Religions
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_Religions 
		(CivilizationType, 			ReligionType)
SELECT 	'CIVILIZATION_JAR_AMAZONS',	ReligionType
FROM Civilization_Religions WHERE CivilizationType = 'CIVILIZATION_HUNS';
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Along_Ocean 
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Along_Ocean 
		(CivilizationType, 					StartAlongOcean)
VALUES	('CIVILIZATION_JAR_AMAZONS', 		1);
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Start_Region_Priority
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_Start_Region_Priority 
		(CivilizationType, 				RegionType)
VALUES	('CIVILIZATION_JAR_AMAZONS', 	'REGION_PLAINS');
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Region_Avoid
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Region_Avoid
		(CivilizationType, 				RegionType)
VALUES	('CIVILIZATION_JAR_AMAZONS', 	'REGION_JUNGLE'),
		('CIVILIZATION_JAR_AMAZONS', 	'REGION_DESERT');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_SpyNames
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_SpyNames 
		(CivilizationType, 					SpyName)
VALUES	('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_0'),	
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_1'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_2'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_3'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_4'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_5'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_6'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_7'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_8'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_9'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_10'),
		('CIVILIZATION_JAR_AMAZONS',	'TXT_KEY_SPY_NAME_JAR_AMAZONS_11');
--==========================================================================================================================
--==========================================================================================================================
