--==========================================================================================================================
-- MASTER TABLES
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
CREATE TABLE IF NOT EXISTS Civilization_JFD_ColonialCityNames(CivilizationType text, ColonyName text, LinguisticType text);
CREATE TABLE IF NOT EXISTS Civilization_JFD_Governments(CivilizationType text, CultureType text, LegislatureName text, OfficeTitle text, GovernmentType text, Weight integer);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMPRequestedResources(CivilizationType, MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4, Req5, Yield5, Req6, Yield6);
CREATE TABLE IF NOT EXISTS JFD_Civilopedia_HideFromPedia(Type text);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings(Type text, Value integer default 1);
CREATE TABLE IF NOT EXISTS MinorCivilizations_YnAEMP(MinorCivType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings (Type text, Value integer default 1);
--==========================================================================================================================
-- CIVILIZATIONS
--==========================================================================================================================
------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_JFD_ColonialCityNames 
		(CivilizationType, 			LinguisticType)
SELECT	'CIVILIZATION_JAR_AMAZONS',	LinguisticType
FROM Civilization_JFD_ColonialCityNames WHERE CivilizationType = 'CIVILIZATION_HUNS';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_Governments
--------------------------------------------------------------------------------------------------------------------------
--GOVERNMENT_JFD_MONARCHY
--GOVERNMENT_JFD_PRINCIPALITY
--GOVERNMENT_JFD_REPUBLIC
--GOVERNMENT_JFD_THEOCRACY
--GOVERNMENT_JFD_DICTATORSHIP
--GOVERNMENT_JFD_SHOGUNATE
--GOVERNMENT_JFD_HOLY_ROMAN_EMPIRE
--GOVERNMENT_JFD_PAPACY
--GOVERNMENT_JFD_MANDATE_OF_HEAVEN
--GOVERNMENT_JFD_CALIPHATE
INSERT INTO Civilization_JFD_Governments
		(CivilizationType,				GovernmentType,				Weight)
VALUES  ('CIVILIZATION_JAR_AMAZONS',	'GOVERNMENT_JFD_MONARCHY',	90);
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_YnAEMP
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMP
		(CivilizationType,			MapPrefix,		X,		Y,		AltX,	AltY)
		-- v23/24
VALUES	('CIVILIZATION_JAR_AMAZONS',	'Yagem',		37, 	60,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'Yahem',		72,		54,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'Cordiform',	46,		25,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'GreatestEarth', 61,	45,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'EuroGiant',	128,	36,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'EuroLarge', 	60,		31,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'EuroLargeNew', 67,		24,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'Caucasus', 	78,		39,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'Mediterranean', 87,	44,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'AfriAsiaAust',  48,	75,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'AfriSouthEuro', 58,	72,		null,	null),
		-- v25
		('CIVILIZATION_JAR_AMAZONS',	'MediterraneanHuge', 77, 58,	null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'Orient', 		44, 	64,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'AtlanticGiant', 176,	31,		null,	null),
		('CIVILIZATION_JAR_AMAZONS',	'EarthMk3',		39,		57,		null,	null);
--------------------------------------------------------------------------------------------------------------------------	
-- Civilizations_YnAEMPRequestedResources
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMPRequestedResources
		(CivilizationType,			MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4, Req5, Yield5, Req6, Yield6)
SELECT	'CIVILIZATION_JAR_AMAZONS',	MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4, Req5, Yield5, Req6, Yield6
FROM Civilizations_YnAEMPRequestedResources WHERE CivilizationType = 'CIVILIZATION_HUNS';
--------------------------------------------------------------------------------------------------------------------------
-- JFD'S CULTURAL DIVERSITY (31a31d1c-b9d7-45e1-842c-23232d66cd47)
--------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilization_JFD_CultureTypes(CivilizationType, CultureType, SubCultureType, ArtDefineTag, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag,	SoundtrackTag, UnitDialogueTag);

/*
CultureTypes:
  CULTURE_JFD_ABORIGINAL, CULTURE_JFD_ANDEAN, CULTURE_JFD_BANTU, CULTURE_JFD_BHARATA, CULTURE_JFD_CENTRAL, CULTURE_JFD_CLASSICAL, CULTURE_JFD_COLONIAL, CULTURE_JFD_EASTERN, CULTURE_JFD_EAST_INDIES, CULTURE_JFD_GREAT_PLAINS, CULTURE_JFD_HIMALAYAN, CULTURE_JFD_ISLAMIC, CULTURE_JFD_KATUJE, CULTURE_JFD_MANDALA, CULTURE_JFD_MESOAMERICAN, CULTURE_JFD_MESOPOTAMIC, CULTURE_JFD_NORTHERN, CULTURE_JFD_OCEANIC, CULTURE_JFD_ORIENTAL, CULTURE_JFD_PACIFIC, CULTURE_JFD_POLAR, CULTURE_JFD_SAHARAN, CULTURE_JFD_SEMITIC, CULTURE_JFD_STEPPE, CULTURE_JFD_SOUTHERN, CULTURE_JFD_TOTALITARIAN, CULTURE_JFD_WEST_AFRICAN, CULTURE_JFD_WESTERN, CULTURE_JFD_WOODLANDS

 SubCultureType:
  CULTURE_SUB_JFD_CLASSICAL_ROMAN, CULTURE_SUB_JFD_COLONIAL_LATIN, CULTURE_SUB_JFD_EASTERN_BYZANTINE, CULTURE_SUB_JFD_ISLAMIC_TURKIC, CULTURE_SUB_JFD_MESOPOTAMIC_EGYPTIAN, CULTURE_SUB_JFD_NORTHERN_CELTIC, CULTURE_SUB_JFD_ORIENTAL_JAPANESE, CULTURE_SUB_JFD_SEMITIC_ETHIOPIC, CULTURE_SUB_JFD_SOUTHERN_PAPAL, CULTURE_SUB_JFD_WESTERN_BRITISH
  
SplashScreenTags (As above, unless otherwise specified):
   As above in single word lower-case, e.g. CULTURE_JFD_CENTRAL = JFD_Central, CULTURE_JFD_WEST_AFRICAN = JFD_WestAfrican
   JFD_ClassicalRoman, JFD_ColonialLatin, JFD_NorthernCeltic, JFD_OrientalJapanese, JFD_SemiticEthiopic, JFD_SouthernPapal
  
SoundtrackTag (As above, unless otherwise specified):
  As above in single word lower-case, e.g. CULTURE_JFD_CENTRAL = JFD_Central, CULTURE_JFD_WEST_AFRICAN = JFD_WestAfrican
  JFD_ClassicalRoman, JFD_ColonialLatin, JFD_MesopotamicEgyptian, JFD_NorthernCeltic, JFD_OrientalJapanese, JFD_SemiticEthiopic, JFD_SouthernPapal
  
 UnitDialogueTag:
	AS2D_SOUND_JFD_AMERICAN, AS2D_SOUND_JFD_AMERICAN_WEST, AS2D_SOUND_JFD_ALBANIAN*, AS2D_SOUND_JFD_ARABIC, AS2D_SOUND_JFD_AZTEC, AS2D_SOUND_JFD_BABYLONIAN, AS2D_SOUND_JFD_BERBER*, AS2D_SOUND_JFD_BYZANTINE, AS2D_SOUND_JFD_CARTHAGINIAN, AS2D_SOUND_JFD_CELTIC, AS2D_SOUND_JFD_CHINESE, AS2D_SOUND_JFD_COMANCHE*, AS2D_SOUND_JFD_DUTCH, AS2D_SOUND_JFD_EGYPTIAN, AS2D_SOUND_JFD_ENGLISH, AS2D_SOUND_JFD_ETHIOPIAN, AS2D_SOUND_JFD_FINNISH*, AS2D_SOUND_JFD_FRENCH, AS2D_SOUND_JFD_GAELIC*, AS2D_SOUND_JFD_GERMAN, AS2D_SOUND_JFD_GREEK, AS2D_SOUND_JFD_HOLY_ROMAN, AS2D_SOUND_JFD_HUNNIC, AS2D_SOUND_JFD_INCAN, AS2D_SOUND_JFD_INDIAN, AS2D_SOUND_JFD_ITALIAN, AS2D_SOUND_JFD_JAPANESE, AS2D_SOUND_JFD_KHMER, AS2D_SOUND_JFD_KOREAN, AS2D_SOUND_JFD_LATINO, AS2D_SOUND_JFD_MALINESE, AS2D_SOUND_JFD_MAMLUKE*, AS2D_SOUND_JFD_MAPUDUNGUN, AS2D_SOUND_JFD_MAYAN, AS2D_SOUND_JFD_MOHAWK, AS2D_SOUND_JFD_MONGOL, AS2D_SOUND_JFD_OTTOMAN, AS2D_SOUND_JFD_HUNSN, AS2D_SOUND_JFD_POLISH, AS2D_SOUND_JFD_PORTUGUESE, AS2D_SOUND_JFD_ROMAN, AS2D_SOUND_JFD_RUSSIAN, AS2D_SOUND_JFD_SIAMESE, AS2D_SOUND_JFD_SIOUX, AS2D_SOUND_JFD_SPANISH, AS2D_SOUND_JFD_SUMERIAN, AS2D_SOUND_JFD_SWEDISH, AS2D_SOUND_JFD_TUPI*, AS2D_SOUND_JFD_VIKING, AS2D_SOUND_JFD_ZAPOTEC*, AS2D_SOUND_JFD_ZULU
	
	*Not recommended as these have few tracks.
*/

INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,			ArtDefineTag, CultureType, SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag)
SELECT	'CIVILIZATION_JAR_AMAZONS',	ArtDefineTag, CultureType, SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_HUNS';

UPDATE Civilizations 
SET SoundtrackTag = (SELECT SoundtrackTag FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_JAR_AMAZONS')
WHERE Type = 'CIVILIZATION_JAR_AMAZONS';
--=======================================================================================================================
-- BINGLES CIV IV TRAITS
--=======================================================================================================================
-- Leader_SharedTraits
------------------------------	
--POLICY_AGGRESSIVE_X [ICON_WAR] (Military)
--POLICY_CHARISMATIC_X [ICON_HAPPINESS_1] (Happiness)
--POLICY_CREATIVE_X [ICON_CULTURE] (Culture)
--POLICY_DIPLOMATIC_X [ICON_INFLUENCE] (City States)
--POLICY_EXPANSIVE_X [ICON_FOOD] (Food)
--POLICY_FINANCIAL_X [ICON_GOLD] (City Connections, Domestic Trade Routes)
--POLICY_IMPERIALISTIC_X [ICON_CITY_STATE] (Admirals, Generals)
--POLICY_INDUSTRIOUS_X [ICON_PRODUCTION] (Production)
--POLICY_INVENTIVE_X [ICON_RESEARCH] (Science)
--POLICY_MERCANTILE_X [ICON_TRADE] (Gold)
--POLICY_PHILOSOPHICAL_X [ICON_GREAT_PEOPLE] (Great People)
--POLICY_PROTECTIVE_X [ICON_STRENGTH] (Defense)
--POLICY_SEAFARING_X [ICON_MOVES] (Navy)
--POLICY_SPIRITUAL_X [ICON_PEACE] (Faith)
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);

INSERT INTO Leader_SharedTraits
        (LeaderType,			TraitOne,				TraitTwo)
VALUES  ('LEADER_JAR_AMAZONS',	'POLICY_AGGRESSIVE_X',	'POLICY_PROTECTIVE_X');
------------------------------	
-- Leaders
------------------------------	
UPDATE Leaders 
SET Description = 'Penthesilea [ICON_WAR][ICON_STRENGTH]'
WHERE Type = 'LEADER_JAR_AMAZONS'
AND EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
--==========================================================================================================================
-- BrutalSamurai's Ethnic Units/Gedemon's R.E.D.
--==========================================================================================================================
-- Civilizations
------------------------------	
UPDATE Civilizations 
SET ArtStyleSuffix = (CASE WHEN EXISTS(SELECT ArtStyleSuffix FROM Civilizations WHERE ArtStyleSuffix = '_HUNS' )
	THEN '_HUNS'
	ELSE '_ASIA' END) 
WHERE Type = 'CIVILIZATION_JAR_AMAZONS';
--==========================================================================================================================
-- UNIQUE CULTURAL INFLUENCE
--==========================================================================================================================
INSERT INTO Diplomacy_Responses
		(LeaderType,				ResponseType,					Response,												Bias)
VALUES	('LEADER_JAR_AMAZONS',		'RESPONSE_INFLUENTIAL_ON_AI',	'TXT_KEY_LEADER_JAR_AMAZONS_INFLUENTIAL_ON_AI%',		1),
		('LEADER_JAR_AMAZONS',		'RESPONSE_INFLUENTIAL_ON_HUMAN','TXT_KEY_LEADER_JAR_AMAZONS_INFLUENTIAL_ON_HUMAN%',		1);
--==========================================================================================================================
-- TROLLER0001's ADDITIONAL ACHIEVEMENTS
--==========================================================================================================================
-- Achievopedia_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Achievopedia_Tabs (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Header					text							default null,
	Description				text							default	null);

INSERT OR REPLACE INTO Achievopedia_Tabs
		(Type,				Header,								Description)
VALUES	('TAB_JAR_CIVS',	'TXT_KEY_TAB_JAR_CIVS_HEADER',		'TXT_KEY_TAB_JAR_CIVS_DESC');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Mods
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Mods (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	ModName					text							default null,
	ModID					text							default	null,	
	Authors					text							default	null);

INSERT INTO AdditionalAchievements_Mods
		(Type,				ModName,						ModID,							Authors)
VALUES	('MOD_JAR_AMAZONS',	'TXT_KEY_MOD_JAR_AMAZONS_NAME',	'TXT_KEY_MOD_JAR_AMAZONS_MODID',	'TXT_KEY_MOD_JAR_AMAZONS_AUTHORS');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Achievopedia			text							default null,
	Header					text							default	null,	
	IconAtlas				text							default	null,	
	PortraitIndex			integer							default	0,
	ModType					text							default	null,	
	ModVersion				integer							default	0,
	Unlocked				boolean							default	0,
	LockedIconAtlas			text							default	'CIV_COLOR_ATLAS',
	LockedPortraitIndex		integer							default	23,
	UnlockSound				text							default	'AS2D_INTERFACE_ANCIENT_RUINS',
	PopupDuration			integer							default	-1,
	Hidden					boolean							default	0,
	HiddenBorder			boolean							default	0,
	RequiredCivWin			text							default	null,
	RequiredCivLoss			text							default	null,
	RequiredCivKill			text							default	null);

INSERT INTO AdditionalAchievements
		(Type,						Header,									Achievopedia,							ModType,		ModVersion,		RequiredCivWin,				IconAtlas,					 PortraitIndex)
VALUES	('AA_JAR_AMAZONS_SPECIAL',	'TXT_KEY_AA_JAR_AMAZONS_SPECIAL_HEADER',	'TXT_KEY_AA_JAR_AMAZONS_SPECIAL_TEXT',	'MOD_JAR_AMAZONS',	1,			null,						'JAR_AMAZONS_ICON_ATLAS',	 6),
		('AA_JAR_AMAZONS_VICTORY',	'TXT_KEY_AA_JAR_AMAZONS_VICTORY_HEADER',	'TXT_KEY_AA_JAR_AMAZONS_VICTORY_TEXT',	'MOD_JAR_AMAZONS',	1,			'CIVILIZATION_JAR_AMAZONS',	'JAR_AMAZONS_ICON_ATLAS',	 5);
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Tabs (
	AchievementType			text		default	null,
	TabType					text		default	null);

INSERT OR REPLACE INTO AdditionalAchievements_Tabs
		(AchievementType,			TabType)
VALUES	('AA_JAR_AMAZONS_SPECIAL',	'TAB_JAR_CIVS'),
		('AA_JAR_AMAZONS_VICTORY',	'TAB_JAR_CIVS');
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
-- ML_CivCultures
------------------------------  
CREATE TABLE IF NOT EXISTS ML_CivCultures (ID INTEGER PRIMARY KEY AUTOINCREMENT, CivType TEXT, CultureType TEXT, CultureEra TEXT DEFAULT 'ANY');
INSERT INTO ML_CivCultures
		(CivType,					CultureType,	CultureEra)
SELECT	'CIVILIZATION_JAR_AMAZONS',	CultureType,	CultureEra
FROM ML_CivCultures WHERE CivType = 'CIVILIZATION_HUNS';
--==========================================================================================================================
-- Historical Religions Support
--==========================================================================================================================	
UPDATE Civilization_Religions SET ReligionType = 
( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type='RELIGION_SAIRIMAISM' )
	THEN 'RELIGION_SAIRIMAISM'
	ELSE 'RELIGION_TENGRIISM' END
) WHERE CivilizationType = 'CIVILIZATION_JAR_AMAZONS';

CREATE TRIGGER ReligionAmazons
AFTER INSERT ON Religions WHEN 'RELIGION_SAIRIMAISM' = NEW.Type
BEGIN
	UPDATE Civilization_Religions 
	SET ReligionType = 'RELIGION_SAIRIMAISM'
	WHERE CivilizationType = 'CIVILIZATION_JAR_AMAZONS';
END;
--==========================================================================================================================
-- GAZEBO's VOX POPULI
--==========================================================================================================================
UPDATE Traits SET Description = 'TXT_KEY_TRAIT_JAR_AMAZONS_CBP'
WHERE Type = 'TRAIT_JAR_AMAZONS' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LEADERS' AND Value= 1 );
------------------------------------------------------------------------------------------------------------------------
-- Missions
------------------------------------------------------------------------------------------------------------------------
INSERT OR REPLACE INTO CustomModOptions(Name, Value) VALUES('EVENTS_CUSTOM_MISSIONS', 1);
INSERT INTO Missions
		(Type,									Description, 									Help,												DisabledHelp,											Time,	Build,	Target, Sound,	HotKey,	HotKeyPriority, OrderPriority,	Visible, IconIndex, IconAtlas)
SELECT	'MISSION_JAR_HIPPOMACHE_TRAP_HORSES',	'TXT_KEY_MISSION_JAR_HIPPOMACHE_TRAP_HORSES',	'TXT_KEY_MISSION_JAR_HIPPOMACHE_TRAP_HORSES_HELP',	'TXT_KEY_MISSION_JAR_HIPPOMACHE_TRAP_HORSES_DISABLED',	20,		0,		0,		0,		'KB_U',	2,				150,			1,		 29,		   'UNIT_ACTION_ATLAS'
WHERE EXISTS (SELECT Name FROM CustomModOptions WHERE Name = 'EVENTS_CUSTOM_MISSIONS' AND Value = 1) UNION ALL
SELECT	'MISSION_JAR_HIPPOMACHE_PLACE_HORSES',	'TXT_KEY_MISSION_JAR_HIPPOMACHE_PLACE_HORSES',	'TXT_KEY_MISSION_JAR_HIPPOMACHE_PLACE_HORSES_HELP',	'TXT_KEY_MISSION_JAR_HIPPOMACHE_PLACE_HORSES_DISABLED',	20,		0,		0,		0,		'KB_U',	2,				150,			1,		 29,		   'UNIT_ACTION_ATLAS'
WHERE EXISTS (SELECT Name FROM CustomModOptions WHERE Name = 'EVENTS_CUSTOM_MISSIONS' AND Value = 1);
--==========================================================================================================================
-- RESOURCES
--==========================================================================================================================
INSERT INTO Resources 
		(Type,					TechReveal,		TechCityTrade, 		Description,					Civilopedia, 									Help,										ResourceClassType, 		ArtDefineTag, 						CivilizationType,		OnlyMinorCivs,  Happiness,  IconString, 			PortraitIndex, 	IconAtlas)
VALUES	('RESOURCE_JAR_KANNABIS',	null,			null,			'TXT_KEY_RESOURCE_JAR_KANNABIS',	'TXT_KEY_CIV5_RESOURCE_JAR_KANNABIS_TEXT',	'TXT_KEY_RESOURCE_MONOPOLY_STRAT_ALUMINUM',	'RESOURCECLASS_LUXURY',	'ART_DEF_RESOURCE_JAR_KANNABIS',	'CIVILIZATION_JAR_AMAZONS',	0,				2,		'[ICON_RES_JAR_KANNABIS]',	7, 		'JAR_AMAZONS_ICON_ATLAS');
UPDATE Resources SET Happiness = (SELECT Happiness FROM Resources WHERE Type = 'RESOURCE_WINE'), IsMonopoly = 1, MonopolyHealBonus = '5' WHERE Type = 'RESOURCE_JAR_KANNABIS' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');
------------------------------
-- Resource_YieldChanges
------------------------------
INSERT INTO Resource_YieldChanges 	
			(ResourceType, 				YieldType, 			Yield)
VALUES		('RESOURCE_JAR_KANNABIS',	'YIELD_CULTURE',		1);
------------------------------
-- Resource_Flavors
------------------------------
INSERT INTO Resource_Flavors 	
		(ResourceType, 			FlavorType, 				Flavor)
VALUES	('RESOURCE_JAR_KANNABIS',	'FLAVOR_DEFENSE',		10),
		('RESOURCE_JAR_KANNABIS',	'FLAVOR_CULTURE',		10);
--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
------------------------------	
-- ArtDefine_StrategicView
------------------------------		
INSERT INTO ArtDefine_StrategicView
			(StrategicViewType, 				TileType, 		Asset)
VALUES 		('ART_DEF_RESOURCE_JAR_KANNABIS', 	'Resource', 	'IconJarCannabis_256sv.dds');
------------------------------	
-- ArtDefine_LandmarkTypes
------------------------------
INSERT INTO ArtDefine_LandmarkTypes
			(Type, 							LandmarkType, 	FriendlyName)
VALUES 		('ART_DEF_RESOURCE_JAR_KANNABIS', 	'Resource', 	'JAR_AMAZONS_KANNABIS');
------------------------------
-- ArtDefine_Landmarks
------------------------------
INSERT INTO ArtDefine_Landmarks
			(Era, 			State, 					Scale, 	ImprovementType, 					LayoutHandler, 	ResourceType, 						Model, 										TerrainContour,	Tech)
SELECT		 Era, 			State, 					Scale, 	ImprovementType, 					LayoutHandler, 	'ART_DEF_RESOURCE_JAR_KANNABIS', 	Model, 										TerrainContour,	Tech
FROM ArtDefine_Landmarks WHERE ResourceType = 'ART_DEF_RESOURCE_WINE';
--==========================================================================================================================
-- FONT ICONS
--==========================================================================================================================
------------------------------
-- IconFontTextures
------------------------------
INSERT INTO IconFontTextures 
		(IconFontTexture, 						IconFontTextureFile)
VALUES	('ICON_FONT_TEXTURE_JAR_KANNABIS', 		'fonticon_jar_cannabis');
------------------------------
-- IconFontMapping
------------------------------
INSERT INTO IconFontMapping 
		(IconName, 					IconFontTexture,				IconMapping)
VALUES	('ICON_RES_JAR_KANNABIS', 	'ICON_FONT_TEXTURE_JAR_KANNABIS',	1);
--==========================================================================================================================
-- IMPROVEMENTS
--==========================================================================================================================
------------------------------
-- Improvements
------------------------------
INSERT INTO Improvement_ResourceTypes
			(ResourceType, 			ImprovementType)
VALUES		('RESOURCE_JAR_KANNABIS',	'IMPROVEMENT_PLANTATION');
------------------------------
-- Improvement_ResourceType_Yields
------------------------------
INSERT INTO Improvement_ResourceType_Yields
		(ResourceType, 			ImprovementType,				YieldType,			Yield)
VALUES	('RESOURCE_JAR_KANNABIS',	'IMPROVEMENT_PLANTATION', 	'YIELD_GOLD',		1);
------------------------------------------------------------
-- Units
------------------------------------------------------------
UPDATE Units SET PrereqTech = 'TECH_ARCHERY'
WHERE Type = 'UNIT_JAR_HIPPOMACHE' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );
UPDATE UnitPromotions SET Help = 'TXT_KEY_PROMOTION_JAR_KANNABIS_BOOST_HELP_CBP', CombatPercent = 0, StrongerDamaged = 1
WHERE Type = 'PROMOTION_JAR_KANNABIS_BOOST' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );
UPDATE UnitPromotions SET MoraleBreakChance = 5 WHERE Type = 'PROMOTION_JAR_UA_GG_RANGE' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_UNITS' AND Value= 1 );
------------------------------------------------------------------------------------------------------------------------
-- Buildings
------------------------------------------------------------------------------------------------------------------------
UPDATE Buildings SET Cost = 125, GoldMaintenance = 1, Help ='TXT_KEY_BUILDING_JAR_HEMPSMOKE_TENT_HELP_CBP', PrereqTech = 'TECH_ARCHERY', WLTKDTurns = '10', AlwaysHeal = 5
WHERE Type = 'BUILDING_JAR_HEMPSMOKE_TENT' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

INSERT INTO Building_YieldChanges
		(BuildingType, 					YieldType, Yield)
SELECT	'BUILDING_JAR_HEMPSMOKE_TENT', 'YIELD_FOOD', 1
WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
		
INSERT INTO Building_ResourceYieldChanges
		(BuildingType, 					ResourceType, 	YieldType, Yield)
SELECT	'BUILDING_JAR_AMAZONS_HORSES', 'RESOURCE_HORSE', 'YIELD_FOOD', 1
WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

INSERT INTO Building_UnhappinessNeedsFlatReduction
		(BuildingType, 					YieldType, Yield)
SELECT	'BUILDING_JAR_HEMPSMOKE_TENT', 	YieldType, Yield+1
FROM Building_UnhappinessNeedsFlatReduction WHERE BuildingType = 'BUILDING_CIRCUS' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

INSERT INTO Building_InstantYield
		(BuildingType, 					YieldType, Yield)
SELECT	'BUILDING_JAR_HEMPSMOKE_TENT', 	YieldType, Yield
FROM Building_InstantYield WHERE BuildingType = 'BUILDING_CIRCUS' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

UPDATE Buildings SET IsDummy = 1 where Type in ('BUILDING_DUMMY_HORSEXP', 'BUILDING_JAR_AMAZONS_HORSES')
AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
--==========================================================================================================================
--==========================================================================================================================